Skip to main content
Version: Lab (preview)

transactions

QUERY

Returns transactions.

Arguments

query
SqlQuery
The query to filter the transactions with based on Pay Theory defined data. Detailed information about the query object can be found here.
limit
Int
The number of transactions to return.
offset
String
The value of the offset item for which the list is being sorted.
direction
MoveDirection
The direction of the pagination. Makes sure the results are returned in the correct order.
Values
BACKWARDFORWARD
offset_id
String
The transaction_id of the offset item.

Nested field arguments

Pass these arguments when selecting the corresponding response fields.

items.payment_method.query_list
[QueryPair]
When selected, filters transaction rows by payment method fields such as last_four.
items.payment_method.payor.query_list
[QueryPair]
When selected, filters transaction rows by payor fields such as email.

Response

Transactions
items
[Transaction]| null
List of Transactions.
total_row_count
Int| null
Total number of rows matching the query.